CREATE TABLE IF NOT EXISTS repo_watch (
    repo UUID NOT NULL REFERENCES repo(id),
    "user" UUID NOT NULL,
    level TEXT NOT NULL DEFAULT 'participating',
    created_at TIMESTAMPTZ NOT NULL DEFAULT now(),
    updated_at TIMESTAMPTZ NOT NULL DEFAULT now(),
    PRIMARY KEY (repo, "user")
);
